/*
 File: terminals_phrase_thsym.cpp
 Date and Time: Fri Jan 30 18:55:27 2015 
*/
#include "terminals_phrase_th.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_terminals_phrase_th;// grammar's ns
// first set terminals
yacco2::THR _YACCO2_CALL_TYPE
NS_terminals_phrase_th::TH_terminals_phrase_th(yacco2::Parser* Caller_pp){
  yacco2::Thread_entry& pp_thread_entry = ITH_terminals_phrase_th;
  NS_terminals_phrase_th::Cterminals_phrase_th Cterminals_phrase_th_;// parallel-parser's parse table
#define ssPARSE_TABLE Cterminals_phrase_th_
#include "wpp_core.h"
}
THR_result _YACCO2_CALL_TYPE
NS_terminals_phrase_th::PROC_TH_terminals_phrase_th(yacco2::Parser* Caller_pp){
  char called_proc_name[] = "PROC_TH_terminals_phrase_th";
  static bool one_time(false);
  static NS_terminals_phrase_th::Cterminals_phrase_th* NS_terminals_phrase_th_Cterminals_phrase_th_(0);// parallel-parser's fsm table
  static Parser* NS_terminals_phrase_th_Cterminals_phrase_th_parser(0);
  Parser* proc_parser(0);
  if(one_time == false){
    one_time = true;
    NS_terminals_phrase_th_Cterminals_phrase_th_ = new NS_terminals_phrase_th::Cterminals_phrase_th();// parallel-parser's fsm table
    NS_terminals_phrase_th_Cterminals_phrase_th_parser = new Parser(*NS_terminals_phrase_th_Cterminals_phrase_th_,Caller_pp);
  }
 proc_parser = NS_terminals_phrase_th_Cterminals_phrase_th_parser;
#include "wproc_pp_core.h"
}
void 
Cterminals_phrase_th::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rterminals_phrase_:{
       Rterminals_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rterminals_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rterminals_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 11;
    

     sym->sr1();
     return;}
    case rhs1_Ropen_par_:{
       Ropen_par* sym;
     if(re->rule_ == 0){
       sym = new Ropen_par(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ropen_par*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Ropen_par_:{
       Ropen_par* sym;
     if(re->rule_ == 0){
       sym = new Ropen_par(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ropen_par*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rclose_par_:{
       Rclose_par* sym;
     if(re->rule_ == 0){
       sym = new Rclose_par(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rclose_par*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Rclose_par_:{
       Rclose_par* sym;
     if(re->rule_ == 0){
       sym = new Rclose_par(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rclose_par*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rparameters_:{
       Rparameters* sym;
     if(re->rule_ == 0){
       sym = new Rparameters(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rparameters*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     return;}
    case rhs1_Rfilename_phrase_:{
       Rfilename_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rfilename_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfilename_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     return;}
    case rhs1_Rfilename_:{
       Rfilename* sym;
     if(re->rule_ == 0){
       sym = new Rfilename(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfilename*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rfilename_:{
       Rfilename* sym;
     if(re->rule_ == 0){
       sym = new Rfilename(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfilename*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfilename_:{
       Rfilename* sym;
     if(re->rule_ == 0){
       sym = new Rfilename(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfilename*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rfilename_id_:{
       Rfilename_id* sym;
     if(re->rule_ == 0){
       sym = new Rfilename_id(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfilename_id*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rfilename_id_:{
       Rfilename_id* sym;
     if(re->rule_ == 0){
       sym = new Rfilename_id(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfilename_id*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfilename_id_:{
       Rfilename_id* sym;
     if(re->rule_ == 0){
       sym = new Rfilename_id(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfilename_id*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rnamespace_phrase_:{
       Rnamespace_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rnamespace_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rnamespace_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     return;}
    case rhs2_Rnamespace_phrase_:{
       Rnamespace_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rnamespace_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rnamespace_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     sym->sr2();
     return;}
    case rhs1_Rnamespace_:{
       Rnamespace* sym;
     if(re->rule_ == 0){
       sym = new Rnamespace(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rnamespace*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rnamespace_:{
       Rnamespace* sym;
     if(re->rule_ == 0){
       sym = new Rnamespace(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rnamespace*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rnamespace_:{
       Rnamespace* sym;
     if(re->rule_ == 0){
       sym = new Rnamespace(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rnamespace*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rnamespace_id_:{
       Rnamespace_id* sym;
     if(re->rule_ == 0){
       sym = new Rnamespace_id(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rnamespace_id*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rnamespace_id_:{
       Rnamespace_id* sym;
     if(re->rule_ == 0){
       sym = new Rnamespace_id(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rnamespace_id*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rnamespace_id_:{
       Rnamespace_id* sym;
     if(re->rule_ == 0){
       sym = new Rnamespace_id(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rnamespace_id*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rt_refs_phrase_:{
       Rt_refs_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rt_refs_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_refs_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr1();
     return;}
    case rhs2_Rt_refs_phrase_:{
       Rt_refs_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rt_refs_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_refs_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rt_refs_kw_code_:{
       Rt_refs_kw_code* sym;
     if(re->rule_ == 0){
       sym = new Rt_refs_kw_code(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_refs_kw_code*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rt_refs_kw_code_:{
       Rt_refs_kw_code* sym;
     if(re->rule_ == 0){
       sym = new Rt_refs_kw_code(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_refs_kw_code*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     return;}
    case rhs1_Rt_refs_kw_:{
       Rt_refs_kw* sym;
     if(re->rule_ == 0){
       sym = new Rt_refs_kw(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_refs_kw*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs1_Rt_refs_kw_must_:{
       Rt_refs_kw_must* sym;
     if(re->rule_ == 0){
       sym = new Rt_refs_kw_must(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_refs_kw_must*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rt_refs_kw_must_:{
       Rt_refs_kw_must* sym;
     if(re->rule_ == 0){
       sym = new Rt_refs_kw_must(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_refs_kw_must*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rt_refs_kw_must_:{
       Rt_refs_kw_must* sym;
     if(re->rule_ == 0){
       sym = new Rt_refs_kw_must(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_refs_kw_must*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rt_refs_code_:{
       Rt_refs_code* sym;
     if(re->rule_ == 0){
       sym = new Rt_refs_code(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_refs_code*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rt_refs_code_:{
       Rt_refs_code* sym;
     if(re->rule_ == 0){
       sym = new Rt_refs_code(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_refs_code*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rt_refs_code_:{
       Rt_refs_code* sym;
     if(re->rule_ == 0){
       sym = new Rt_refs_code(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_refs_code*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rsym_defs_phrase_:{
       Rsym_defs_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rsym_defs_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rsym_defs_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 4;
    

     return;}
    case rhs1_Rsym_def_:{
       Rsym_def* sym;
     if(re->rule_ == 0){
       sym = new Rsym_def(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rsym_def*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rsym_def_:{
       Rsym_def* sym;
     if(re->rule_ == 0){
       sym = new Rsym_def(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rsym_def*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rsym_def_:{
       Rsym_def* sym;
     if(re->rule_ == 0){
       sym = new Rsym_def(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rsym_def*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rsym_def1s_:{
       Rsym_def1s* sym;
     if(re->rule_ == 0){
       sym = new Rsym_def1s(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rsym_def1s*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rsym_def1s_:{
       Rsym_def1s* sym;
     if(re->rule_ == 0){
       sym = new Rsym_def1s(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rsym_def1s*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     return;}
    case rhs3_Rsym_def1s_:{
       Rsym_def1s* sym;
     if(re->rule_ == 0){
       sym = new Rsym_def1s(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rsym_def1s*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     return;}
    case rhs1_Rsym_def1_:{
       Rsym_def1* sym;
     if(re->rule_ == 0){
       sym = new Rsym_def1(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rsym_def1*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rsym_def1_:{
       Rsym_def1* sym;
     if(re->rule_ == 0){
       sym = new Rsym_def1(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rsym_def1*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rsym_def1_:{
       Rsym_def1* sym;
     if(re->rule_ == 0){
       sym = new Rsym_def1(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rsym_def1*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr3();
     return;}
    case rhs1_Rt_sufx_phrase_:{
       Rt_sufx_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rt_sufx_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_sufx_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 4;
    

     sym->sr1();
     return;}
    case rhs2_Rt_sufx_phrase_:{
       Rt_sufx_phrase* sym;
     if(re->rule_ == 0){
       sym = new Rt_sufx_phrase(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_sufx_phrase*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rt_sufx_kw_code_:{
       Rt_sufx_kw_code* sym;
     if(re->rule_ == 0){
       sym = new Rt_sufx_kw_code(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_sufx_kw_code*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rt_sufx_kw_code_:{
       Rt_sufx_kw_code* sym;
     if(re->rule_ == 0){
       sym = new Rt_sufx_kw_code(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_sufx_kw_code*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     return;}
    case rhs1_Rt_sufx_kw_:{
       Rt_sufx_kw* sym;
     if(re->rule_ == 0){
       sym = new Rt_sufx_kw(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_sufx_kw*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs1_Rt_sufx_kw_must_:{
       Rt_sufx_kw_must* sym;
     if(re->rule_ == 0){
       sym = new Rt_sufx_kw_must(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_sufx_kw_must*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rt_sufx_kw_must_:{
       Rt_sufx_kw_must* sym;
     if(re->rule_ == 0){
       sym = new Rt_sufx_kw_must(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_sufx_kw_must*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rt_sufx_kw_must_:{
       Rt_sufx_kw_must* sym;
     if(re->rule_ == 0){
       sym = new Rt_sufx_kw_must(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_sufx_kw_must*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Rt_sufx_code_:{
       Rt_sufx_code* sym;
     if(re->rule_ == 0){
       sym = new Rt_sufx_code(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_sufx_code*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rt_sufx_code_:{
       Rt_sufx_code* sym;
     if(re->rule_ == 0){
       sym = new Rt_sufx_code(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_sufx_code*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rt_sufx_code_:{
       Rt_sufx_code* sym;
     if(re->rule_ == 0){
       sym = new Rt_sufx_code(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rt_sufx_code*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs1_Ropen_brace_:{
       Ropen_brace* sym;
     if(re->rule_ == 0){
       sym = new Ropen_brace(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ropen_brace*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Ropen_brace_:{
       Ropen_brace* sym;
     if(re->rule_ == 0){
       sym = new Ropen_brace(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ropen_brace*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rclose_brace_:{
       Rclose_brace* sym;
     if(re->rule_ == 0){
       sym = new Rclose_brace(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rclose_brace*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Rclose_brace_:{
       Rclose_brace* sym;
     if(re->rule_ == 0){
       sym = new Rclose_brace(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rclose_brace*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rlint_:{
       Rlint* sym;
     if(re->rule_ == 0){
       sym = new Rlint(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlint*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Rlint_:{
       Rlint* sym;
     if(re->rule_ == 0){
       sym = new Rlint(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlint*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 0;
    

     return;}
    case rhs1_Rcweb_k_:{
       Rcweb_k* sym;
     if(re->rule_ == 0){
       sym = new Rcweb_k(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rcweb_k*)re->rule_;
     }
    sym->ctor();

     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rcweb_k_:{
       Rcweb_k* sym;
     if(re->rule_ == 0){
       sym = new Rcweb_k(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rcweb_k*)re->rule_;
     }
    sym->ctor();

     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    default: return;
   }
}
